Bug 257558 - [NEW PORT] textproc/opensearch: AWS fork of elasticsearch7
Summary: [NEW PORT] textproc/opensearch: AWS fork of elasticsearch7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Juraj Lutter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-02 12:39 UTC by Sven R
Modified: 2021-09-19 19:36 UTC (History)
4 users (show)

See Also:


Attachments
new port diff (13.60 KB, patch)
2021-08-02 12:39 UTC, Sven R
no flags Details | Diff
poudriere testport (30.14 KB, text/plain)
2021-08-02 12:40 UTC, Sven R
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven R 2021-08-02 12:39:59 UTC
Created attachment 226874 [details]
new port diff

Hi, 
I'd like to add a new port textproc/opensearch (AWS fork of elasticsearch7). I create an initial diff but am not sure if everything is correct.
This is my first new port, so I appreciate every feedback.

Sven
Comment 1 Sven R 2021-08-02 12:40:28 UTC
Created attachment 226875 [details]
poudriere testport
Comment 2 Romain Tartière freebsd_committer 2021-08-09 19:28:56 UTC
I was about to mail elastic@ to know what was their plan regarding OpenSearch.

I guess that another port opensearch-dashboards is also a must-have.
Comment 3 Sven R 2021-08-09 19:55:54 UTC
Of course. It looks like works by just replacing the node Linux ELF by linking www/node10.
I've been running it in a lab for about 3 weeks without any issues (just using basic features). 

Supporting all plugins (for booth OS and OS Dashboards) looks interesting as well (especially k-nn).
Comment 4 Juraj Lutter freebsd_committer 2021-08-09 21:09:03 UTC
(In reply to Sven R from comment #3)
www/node10 is already expired and is only being kept in the tree because of www/kibana6 (that is also set to be expired, but not removed yet).
Comment 5 Romain Tartière freebsd_committer 2021-09-07 22:39:57 UTC
Hi!

FYI, I created an 'opensearch' branch in a fork of the FreeBSD ports tree to collaboratively work on this:

https://github.com/smortex/freebsd-ports/tree/opensearch

I imported the above path, addd a port for opensearch-dashbaords and added a bunch of fixes.

Sven R has access to the repository.  If people want to have access to it, please tell me who you are on GitHub.



We will iterate on improving the ports for opensearch and opensearch-dashboards and when ready, squash the commits and send them to the FreeBSD tree.
Comment 6 commit-hook freebsd_committer 2021-09-19 19:36:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7fe660d7479c2a88f1c3aac267470f2a507757a0

commit 7fe660d7479c2a88f1c3aac267470f2a507757a0
Author:     Sven R <admin@hackacad.net>
AuthorDate: 2021-09-07 02:50:23 +0000
Commit:     Romain Tartière <romain@FreeBSD.org>
CommitDate: 2021-09-19 19:33:35 +0000

    textproc/opensearch: New port

    OpenSearch is a fork of Elasticsearch which aims to be a Distributed,
    RESTful, Search Engine built on top of Apache Lucene.

    WWW: http://opensearch.org

    PR:             257558
    With hat:       opensearch

 GIDs                                               |   2 +-
 UIDs                                               |   2 +-
 textproc/Makefile                                  |   1 +
 textproc/opensearch/Makefile (new)                 |  84 +++++++++++++++
 textproc/opensearch/distinfo (new)                 |   3 +
 textproc/opensearch/files/opensearch.in (new)      | 115 +++++++++++++++++++++
 .../files/patch-bin_opensearch-env (new)           |  17 +++
 .../files/patch-config_jvm.options (new)           |  23 +++++
 .../files/patch-config_opensearch.yml (new)        |  15 +++
 textproc/opensearch/files/pkg-message.in (new)     |  25 +++++
 textproc/opensearch/pkg-descr (new)                |   4 +
 11 files changed, 289 insertions(+), 2 deletions(-)
Comment 7 Romain Tartière freebsd_committer 2021-09-19 19:36:19 UTC
Committed, thanks!